aboutsummaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorMatěj Cepl <mcepl@cepl.eu>2024-01-17 22:17:53 +0100
committerMatěj Cepl <mcepl@cepl.eu>2024-01-17 22:17:53 +0100
commitd2bcd58736986df560165802cfe5dbdd5a93420d (patch)
tree44d4d4015074a447b385fb746f463ee77a6adfa2 /bin
parent46db3399ebff938f6e1a88b4fdfce7c871935d35 (diff)
downloadscreenplain-d2bcd58736986df560165802cfe5dbdd5a93420d.tar.gz
We don’t need pytest.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/test7
1 files changed, 5 insertions, 2 deletions
diff --git a/bin/test b/bin/test
index 2355e7b..1597371 100755
--- a/bin/test
+++ b/bin/test
@@ -1,3 +1,6 @@
-#!/bin/bash -e
-pytest --doctest-modules -W error
+#!/bin/sh
+set -e
+
+python3 -W error -munittest discover -v -p '*test*.py'
+python3 -mdoctest -v screenplain/*.py
pycodestyle --ignore=E402,W504 screenplain tests